Bug 10847 - Open external link to website of a vendor in new tab/window
Summary: Open external link to website of a vendor in new tab/window
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-09 15:18 UTC by Katrin Fischer
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10847: Open link to vendor's website in new window (1.44 KB, patch)
2013-09-10 19:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10847: Open link to vendor's website in new window (1.55 KB, patch)
2013-09-12 17:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10847: Open link to vendor's website in new window (1.59 KB, patch)
2013-09-23 10:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2013-09-09 15:18:40 UTC
The link to the vendor's website is a link external to Koha and should open in a new tab/window depending on browser settings.
Comment 1 Katrin Fischer 2013-09-10 19:26:39 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-09-12 17:19:54 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2013-09-23 10:45:55 UTC
Created attachment 21356 [details] [review]
Bug 10847: Open link to vendor's website in new window

To test:
- Create a new vendor or edit an existing one
- Make sure you have entered a valid URL for the website
- Click the link from the vendor summary page and verify it opens
  in a new window/tab (depending on your browser configuration)

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2013-09-23 10:50:53 UTC
Changed importance. Looks good to me.

Passed QA
Comment 5 Galen Charlton 2013-09-23 16:11:14 UTC
Pushed to master.  Thanks, Katrin!
Comment 6 Tomás Cohen Arazi 2013-11-13 16:24:06 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Katrin!